This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

DisableGuardrailBindings

1 - 1.2

delete /v1/guardrail-bindings

Description

disable guardrail bindings

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailDisableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.2"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

2 - 1.1

delete /v1/guardrail-bindings

Description

disable guardrail bindings

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailDisableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

3 - 1.0

delete /v1/guardrail-bindings

Description

disable guardrail bindings

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailDisableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}